package com.younike.system.service;

import java.util.List;
import com.younike.system.domain.OrderRefund;
import com.younike.system.param.OredrRefundParam;

/**
 * 订单--退款处理Service接口
 *
 * @author elev
 * @date 2022-01-10
 */
public interface IOrderRefundService {

    OrderRefund selectOrderRefundByOrderId(String orderId);
    /**
     * 查询订单--退款处理
     *
     * @param orderRefundId 订单--退款处理主键
     * @return 订单--退款处理
     */
    OrderRefund selectOrderRefundByOrderRefundId(Long orderRefundId);

    /**
     * 查询订单--退款处理列表
     *
     * @param orderRefund 订单--退款处理
     * @return 订单--退款处理集合
     */
    List<OrderRefund> selectOrderRefundList(OrderRefund orderRefund);

    /**
     * 新增订单--退款处理
     *
     * @param orderRefund 订单--退款处理
     * @return 结果
     */
    int insertOrderRefund(OrderRefund orderRefund);

    /**
     * 修改订单--退款处理
     *
     * @param orderRefund 订单--退款处理
     * @return 结果
     */
    int updateOrderRefund(OrderRefund orderRefund);

    /**
     * 批量删除订单--退款处理
     *
     * @param orderRefundIds 需要删除的订单--退款处理主键集合
     * @return 结果
     */
    int deleteOrderRefundByOrderRefundIds(Long[] orderRefundIds);

    /**
     * 删除订单--退款处理信息
     *
     * @param orderRefundId 订单--退款处理主键
     * @return 结果
     */
    int deleteOrderRefundByOrderRefundId(Long orderRefundId);

    /**
     * 根据订单id查询退款记录
     * @param orderId
     * @return
     */
    OredrRefundParam selectOrderId(Long orderId);
}
